# Changelog

For the changed made by Mees Electronics.

All notable changes to this project will be documented in this file.

    Added     : for new features.
    Changed   : for changes in existing functionality.
    Deprecated: for soon-to-be removed features.
    Removed   : for now removed features.
    Fixed     : for any bug fixes.
    Security  : in case of vulnerabilities.

### 2025-04-04

#### Fixed

RXEN switches to low before transmitting, and now the E22 module can output 33 dBm. The maximum power is reached when SX1268 is set to 22 dBm.

### 2025-03-30

#### Fixed

Both SX1278 and SX1268 modules are now working.

#### Changed

Pinout changed to make room for RXEN pin of E22 module.

|pin|GPIO|
|---|----|
|NSS|10|
|MOSI|11|
|SCK|12|
|MISO|13|
|RST|14|
|DIO|15|
|BUSY|16|
|RXEN|17|
|RX LED|18|
|TX LED|33|

### 2025-03-10

#### Changed

Renamed BOARD_WAVESHARE_ESP32_S3_PICO to MEES_ESP32_S3 in source code. Also renamed firmware-waveshare-esp32-s3-pico to firmware-mees-esp32-s3, upload-waveshare-esp32-s3-pico to upload-mees-esp32-s3 and release-waveshare-esp32-s3-pico to release-mees-esp32-s3. This way it is obvious the firmware works for all generic ESP32 S3 boards.

#### Added

Two BOARD_VARIANTs: 0xF1 for SX1278 and 0xF2 for SX1268. Can be chosen during compile time.

### 2025-03-03

Final pinout of LoRa module defined. Should work on most ESP32-S3 development boards.

|pin|GPIO|
|---|----|
|NSS|10|
|MOSI|11|
|SCK|12|
|MISO|13|
|RST|14|
|DIO|15|
|BUSY|16|
|RX LED|17|
|TX LED|18|

### 2025-02-28

Started all over again. This time I succeeded! The Waveshare ESP32 S3 Pico and the Ra-02 SX1278 LoRa transceiver are working as a proper rnode. It took me some time, but now I am happy. See Documentation/HOWTO-change-firmware-and-compile-it_MeesElectronics.md for more information about adding a new board to the code.

Pinout Ra-02:

|pin|GPIO|
|---|----|
|NSS|39|
|MOSI|37|
|MISO|36|
|SCK|38|
|RST|40|
|DIO|35|

But pinout can easily be mapped to other pins.

## 2025-02-24

Added new board (Waveshare ESP32-S3 Pico) to source code.

Pinout Ra-02 LoRa transceiver:

|pin|GPIO|
|---|----|
|NSS|10|
|MOSI|11|
|MISO|13|
|SCK|12|
|RST|14|
|DIO|15|

Can compile the source (with "make firmware-waveshare-esp32-s3-pico") and upload the program to ESP32 (with "make upload-waveshare-esp32-s3-pico"). According to the oscilloscope the SPI bus works. Reticulum still gives errors: "TX power mismatch" and "Radio state mismatch". RGB LED works, so Reticulum seems to communicate with the rnode.

## [1.74] - 2025-02-17

Version from https://github.com/liberatedsystems/RNode_Firmware_CE
